---
id: BFCLI
---

# Bluefly Command Line Interface (BFCLI)

## Important URLs

### Repository & CI/CD
- **Repository:** `https://gitlab.com/bluefly-llm/BFCLI`
  - Main development branch: `main`
  - Release branch: `release`
- **CI/CD Pipeline:** `https://gitlab.com/bluefly-llm/BFCLI/-/pipelines`
- **Package Registry:** 
  - NPM Package: `@bluefly/cli`
  - GitLab Registry: `https://gitlab.com/bluefly-llm/BFCLI/container_registry`

### Documentation
- **Project Documentation (Local):** `http://localhost:8080/docs/BFCLI/`
  - Requires BFDOCS to be running (`cd ../BFDOCS && npm run docs:serve`)
- **CLI Documentation:**
  - Run `bfcli --help` for command list
  - Run `bfcli <command> --help` for specific command help
- **Technical Documentation:** Located in `/docs` folder in repository
  - Architecture diagrams
  - Command reference
  - Plugin development guide
  - Development setup guide

### Related Services
- **BFAPI Integration:** `http://localhost:3001` (Backend API)
- **BFMCP Integration:** `http://localhost:3002` (Model Control Plane)
- **Monitoring Dashboard:** `http://localhost:9090` (if configured)

### Development Tools
- **Test Runner:** Run with `npm test`
- **Coverage Report:** Generate with `npm run test:coverage`
- **Documentation Generation:** `npm run docs:generate`
- **TypeScript Compilation:** `npm run build`

### Package URLs
- **NPM Registry:** `https://www.npmjs.com/package/@bluefly/cli`
- **GitHub Mirror:** `https://github.com/bluefly-llm/bfcli`
- **Documentation Site:** `https://docs.bluefly.ai/cli`

## Quick Start
```bash
# Install globally
npm install -g @bluefly/cli

# Or clone repository for development
git clone https://gitlab.com/bluefly-llm/BFCLI.git
cd BFCLI
npm install

# Set up environment
cp .env.example .env

# Build the CLI
npm run build

# Link for local development
npm link

# Run CLI
bfcli --help
```

For detailed setup instructions, see [Setup Guide](./setup).

## Command Development
For information on creating new commands, see [Command Development Guide](./command-development).
