---
id: BFMCP
---

# Bluefly Model Control Plane (BFMCP)

## Important URLs

### Development URLs
- **Local Development Server:** `http://localhost:3002`
  - Start with `npm run dev`
  - Check `.env` file for actual port configuration
- **API Documentation:** `http://localhost:3002/api-docs`
  - Swagger/OpenAPI documentation when server is running
- **Health Check:** `http://localhost:3002/health`
  - Endpoint to verify MCP status
- **Model Status Dashboard:** `http://localhost:3002/dashboard`
  - Real-time model status and metrics

### Repository & CI/CD
- **Repository:** `https://gitlab.com/bluefly-llm/BFMCP`
  - Main development branch: `main`
  - Release branch: `release`
- **CI/CD Pipeline:** `https://gitlab.com/bluefly-llm/BFMCP/-/pipelines`
- **Package Registry:** `https://gitlab.com/bluefly-llm/BFMCP/container_registry`

### Documentation
- **Project Documentation (Local):** `http://localhost:8080/docs/BFMCP/`
  - Requires BFDOCS to be running (`cd ../BFDOCS && npm run docs:serve`)
- **API Reference:** Available at `/docs` endpoint when server is running
- **Technical Documentation:** Located in `/docs` folder in repository
  - Architecture diagrams
  - Model integration guides
  - API specifications
  - Development guides

### Related Services
- **BFAPI Integration:** `http://localhost:3001` (Main API)
- **BFUI Connection:** `http://localhost:3000` (Frontend that consumes MCP services)
- **Model Monitoring:** `http://localhost:9090` (if Prometheus is configured)
- **Model Metrics Dashboard:** `http://localhost:3002/metrics`

### Environment-Specific URLs
- **Development:** `https://dev-mcp.bluefly.ai`
- **Staging:** `https://staging-mcp.bluefly.ai`
- **Production:** `https://mcp.bluefly.ai`

### Model Endpoints
- **Inference API:** `http://localhost:3002/v1/models/{model_id}/infer`
- **Model Management:** `http://localhost:3002/v1/models/manage`
- **Model Registry:** `http://localhost:3002/v1/models/registry`

## Quick Start
```bash
# Clone repository
git clone https://gitlab.com/bluefly-llm/BFMCP.git

# Install dependencies
npm install

# Set up environment
cp .env.example .env

# Start development server
npm run dev
```

For detailed setup instructions, see [Setup Guide](./setup).

## Model Integration
For information on integrating new models, see [Model Integration Guide](./model-integration). 
