---
id: modules-development-native_ai
---
# Drupal Native AI Documentation

Welcome to the Drupal Native AI documentation. This documentation is designed for developers and architects implementing AI capabilities in Drupal 11.x.

## Quick Links

- [Getting Started](getting-started)
- [Architecture](architecture)
- [API Reference](api-reference)
- [Development Guide](development)
- [Contributing](contributing)

## Module Overview

Drupal Native AI is a collection of independent Drupal modules that provide artificial intelligence capabilities to Drupal 11.x sites. Each module is designed to be used independently or in combination with others.

### Core Modules

- [drupal_native_ai](modules/drupal_native_ai): Core AI capabilities
- [ai_swarm_intelligence](modules/ai_swarm_intelligence): Distributed AI processing
- [field_eca_bridge](modules/field_eca_bridge): Event-driven field processing

### Integration Modules

- [experience_builder_converter](modules/experience_builder_converter)
- [drupal_migration_plus](modules/drupal_migration_plus)
- [api_normalization](modules/api_normalization)

### Infrastructure Modules

- [secure_drupal](modules/secure_drupal)
- [multitenancy](modules/multitenancy)
- [blockchain_manager](modules/blockchain_manager)

## Recipes and Templates

- [Installation Recipes](recipes/installation)
- [Configuration Recipes](recipes/configuration)
- [Marketplace Templates](templates/marketplace)

## TODO Items

### High Priority
- [ ] Create OpenAPI specification for all endpoints
- [ ] Implement streaming service metrics
- [ ] Add comprehensive test coverage
- [ ] Create installation recipes
- [ ] Document migration paths

### Medium Priority
- [ ] Add performance benchmarks
- [ ] Create marketplace templates
- [ ] Implement security scanning
- [ ] Add monitoring dashboards
- [ ] Create developer tools

### Low Priority
- [ ] Add example implementations
- [ ] Create video tutorials
- [ ] Add integration guides
- [ ] Create troubleshooting guides
- [ ] Add community resources

## Support

- [Issue Queue](https://gitlab.bluefly.io/llm/drupal/drupal_native_ai/-/issues)
- [Security Policy](security)
- [Community Guidelines](community)
