---
id: modules-development-native_ai-screenshots-README
---
# Screenshots

This directory contains screenshots of the Drupal Native AI module for documentation purposes.

## Directory Structure

- `admin/`: Screenshots of the administration interface
- `fields/`: Screenshots of field integration
- `content/`: Screenshots of content generation and processing
- `configuration/`: Screenshots of configuration screens

## Adding Screenshots

When adding screenshots:

1. Use descriptive filenames (e.g., `admin-settings-form.png`, `field-configuration-example.png`)
2. Keep images at a reasonable size (max width: 1200px)
3. Use PNG format for interface screenshots
4. Avoid including sensitive information in screenshots (API keys, etc.)
5. Add a brief description in this README

## Available Screenshots

### Administration Interface

*No screenshots available yet.*

### Field Integration

*No screenshots available yet.*

### Content Generation

*No screenshots available yet.*

### Configuration Screens

*No screenshots available yet.*

## Screenshot Guidelines

When creating screenshots for documentation:

1. Use a clean, default Drupal theme
2. Ensure the UI is in English
3. Use sample data that clearly demonstrates the feature
4. Highlight important elements if necessary
5. Ensure screenshots demonstrate a complete workflow when possible
6. Include before/after screenshots for AI processing features
