---
id: projects-bfapi
---
# BFAPI - API Gateway & Normalization

API gateway with request normalization, routing, and security

## Project Information

- **Category**: Core Services
- **Repository**: [https://gitlab.bluefly.io/ecosystem/bfapi](https://gitlab.bluefly.io/ecosystem/bfapi)
- **Local Path**: `../bfapi`
\n- **Language**: TypeScript/Node.js\n- **Type**: microservice\n- **Port**: 3000\n- **Database**: Redis (caching)

## Documentation


### Local Documentation
The project documentation is available in the project directory:
- [View Local Docs](file://./_CommonNPM/bfapi/docs)
- Path: `./_CommonNPM/bfapi/docs`

### Available Documentation
**Primary**:\n  - README\n  - Api\n  - Configuration\n\n**Integration**:\n  - Drupal Integration\n  - Integration\n\n**Technical**:\n  - Observability\n  - Examples


## Integration with Platform

### Service Dependencies
This service integrates with:
- **bfllm**: Direct service integration\n- **bfmcp**: Direct service integration\n\n### API Access
- **Default Port**: 3000
- **Health Check**: `http://localhost:3000/health`
- **API Docs**: `http://localhost:3000/api-docs`

## Quick Commands

```bash
# Navigate to project
cd ../bfapi

# View documentation
open ./_CommonNPM/bfapi/docs

# Start development
npm run dev
```

## Related Documentation

- [Platform Overview](/architecture/)
- [Integration Patterns](/integration/)
- [Development Guide](/development/)

### Dependencies
- [bfllm](./bfllm)\n- [bfmcp](./bfmcp)


---

*This is a reference page. The actual documentation is maintained in the [project repository](https://gitlab.bluefly.io/ecosystem/bfapi).*
