---
id: projects-bfmcp
---
# BFMCP - MCP Protocol Server

Model Context Protocol server for tool orchestration and agent workflows

## Project Information

- **Category**: Protocol Services
- **Repository**: [https://gitlab.bluefly.io/ecosystem/bfmcp](https://gitlab.bluefly.io/ecosystem/bfmcp)
- **Local Path**: `../bfmcp`
\n- **Language**: TypeScript\n- **Type**: protocol-server\n- **Port**: 3001

## Documentation


### Local Documentation
The project documentation is available in the project directory:
- [View Local Docs](file://./_CommonNPM/bfmcp/docs)
- Path: `./_CommonNPM/bfmcp/docs`

### Available Documentation
**Primary**:\n  - README\n  - Grpc Api\n\n**Config**:\n  - Mcp_config_documentation\n  - Cursor Directory Integration\n\n**Deployment**:\n  - Sysadmin Deployment\n  - Testing Strategy


## Integration with Platform

### API Access
- **Default Port**: 3001
- **Health Check**: `http://localhost:3001/health`
- **API Docs**: `http://localhost:3001/api-docs`

## Quick Commands

```bash
# Navigate to project
cd ../bfmcp

# View documentation
open ./_CommonNPM/bfmcp/docs

# Start development
# See project README for start command
```

## Related Documentation

- [Platform Overview](/architecture/)
- [Integration Patterns](/integration/)
- [Development Guide](/development/)


---

*This is a reference page. The actual documentation is maintained in the [project repository](https://gitlab.bluefly.io/ecosystem/bfmcp).*
